import { Manifest, PackageUsers } from '@verdaccio/types';
/**
 * Check whether the package metadata has enough data to be published
 * @param pkg metadata
 */
export declare function isPublishablePackage(pkg: Manifest): boolean;
/**
 * Verify if the user is actually executing an action, to avoid unnecessary calls
 * to the storage.
 * @param localUsers current state at cache
 * @param username user is executing the action
 * @param userIsAddingStar whether user is removing or adding star
 * @returns boolean
 */
export declare function isExecutingStarCommand(localUsers: PackageUsers, username: string, userIsAddingStar: boolean): boolean;
export declare function isStarManifest(manifest: Manifest): boolean;
