import { searchUtils } from '@verdaccio/core';
import { Manifest, StringValue, Version, Versions } from '@verdaccio/types';
/**
 * Gets version from a package object taking into account semver weirdness.
 * @return {String} return the semantic version of a package
 */
export declare function getVersion(versions: Versions, version: string): Version | undefined;
/**
 * Function filters out bad semver versions and sorts the array.
 * @return {Array} sorted Array
 */
export declare function sortVersionsAndFilterInvalid(listVersions: string[]): string[];
/**
 * Create a tag for a package
 * @param {*} data
 * @param {*} version
 * @param {*} tag
 * @return {Boolean} whether a package has been tagged
 * @deprecated
 */
export declare function tagVersion(data: Manifest, version: string, tag: StringValue): boolean;
/**
 *
 * @param manifest
 * @param version
 * @param tag
 * @returns
 */
export declare function tagVersionNext(manifest: Manifest, version: string, tag: StringValue): Manifest;
/**
 *  Check if the version is newer than the older version.
 * @param newVersion
 * @param oldVersion
 * @returns
 */
export declare function isNewerVersion(newVersion: any, oldVersion: any): boolean;
/**
 * Remove duplicates from search results.
 * @param {Array} objects
 * @return {Array} filtered array
 */
export declare function removeLowerVersions(objects: searchUtils.SearchPackageItem[]): searchUtils.SearchPackageItem[];
