import { pluginUtils } from '@verdaccio/core';
import { Config, Logger } from '@verdaccio/types';
export declare const noSuchFile = "ENOENT";
export declare const resourceNotAvailable = "EAGAIN";
export type PluginStorage = pluginUtils.Storage<Config>;
/**
 * Implements Storage interface (same for storage.js, local-storage.js, up-storage.js).
 */
declare class LocalStorage {
    config: Config;
    storagePlugin: PluginStorage;
    logger: Logger;
    constructor(config: Config, logger: Logger);
    init(): Promise<void>;
    getStoragePlugin(): PluginStorage;
    getSecret(config: Config): Promise<void>;
    private loadStorage;
    private loadStorePlugin;
}
export { LocalStorage };
